Subject: Re: Exim, .forward and DBD::Oracle
From: "Gerrit P. Haase" <[email-masked]>
To: Dmitry Melekhov <[email-masked]>
Cc: [email-masked]
Date: Thu, 10 Apr 2003 22:28:44 +0200

Hallo Dmitry,

> I need to process mail in perl script.
> I installed DBD::Oracle and it works fine.
> I installed Exim and start it as service from SYSTEM account.

> But I have following problem in perl script when I call it from e-mail:

> DynaLoader::bootstrap for DBI (auto/DBI/DBI.dll)
> DynaLoader::bootstrap for DBD::Oracle (auto/DBD/Oracle/Oracle.dll)
> install_driver(Oracle) failed: Can't load 
> '/usr/lib/perl5/site_perl/5.8.0/cygwin-multi-64int/auto/DBD/Oracle/Oracle.dll' 
> for module DBD::Oracle: dlopen: Win32 error 126 at 
[...]
> Certanly, dll exists, and I can successefully run this script from user 
> tabel.

> Any ideas?

$ grep 126L /usr/include/w32api/winerror.h
#define ERROR_MOD_NOT_FOUND 126L

How did you install DBD::Oracle?
Is the Oracle bin directory in your PATH too?

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/